$ToolsDir = (Split-Path -parent $MyInvocation.MyCommand.Definition)
Write-Host "Fetching Dart dependencies..."
$SourceDir = "$ToolsDir\source"
Push-Location -Path $SourceDir
dart pub get --no-precompile | Out-Null
Pop-Location

New-Item -Path $PackageFolder -Name "bin" -ItemType "directory" | Out-Null
Write-Host "Building executable..."
$ExePath = "$PackageFolder\bin\sass.exe"
dart compile exe '"-Dversion=1.63.5"' '"-Ddart-version=3.0.5"' '"-Dprotocol-version=2.1.0"' '"-Dcompiler-version=1.63.5"' "$SourceDir\bin/sass.dart" -o $ExePath
Generate-BinFile "sass" $ExePath
